Plugin error “cannot yet handle MBCS in html_entity_decode”

Today I’ve had reported to me that one of my plugins (Simple Twitter Link – but I’m sure this equally occur in others) is generating the error “cannot yet handle MBCS in html_entity_decode”. In fact, it generates it about 200 times.

The problem? Well, it’s a bug in version 4 of PHP, so there’s not much I can do about it (sorry!). It’s fixed in PHP 5, though.

One suggested solution is to force your server to use PHP 5 – many have version 5 installed, but just not set as the default. To do this simply put AddType application/x-httpd-php5 .php in the first line of your .htaccess file.

I use html_entity_decode for the post title. At the moment I do this whether you ask for the title or not – I’ll make a change for the future to ONLY do this if requested. That way you can omit the title to prevent this error from occurring. This will definitely also affect Simple Social Bookmarks and Simple Facebook Link.

Leave a comment

Talk to me!

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Scroll Up
%d bloggers like this: